Tag Parser: TagParser::Mpeg4ElementaryStreamObjectIds Namespace Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Enumerations | Functions
TagParser::Mpeg4ElementaryStreamObjectIds Namespace Reference

Encapsulates all supported MPEG-4 elementary stream object IDs. More...

## Enumerations
enum | KnownValue : std::uint8_t { SystemsIso144961 = 0x01 , SystemsIso144961v2 , InteractionStream , AfxStream = 0x05 , FontDataStream , SynthesizedTextureStream , StreamingTextStream , Mpeg4Visual = 0x20 , Avc , ParameterSetsForAvc , Als = 0x24 , Sa0c = 0x2B , Aac = 0x40 , Mpeg2VideoSimpleProfile = 0x60 , Mpeg2VideoMainProfile , Mpeg2VideoSnrProfile , Mpeg2VideoSpatialProfile , Mpeg2VideoHighProfile , Mpeg2Video422Profile , Mpeg2AacMainProfile , Mpeg2AacLowComplexityProfile , Mpeg2AacScaleableSamplingRateProfile , Mpeg2Audio , Mpeg1Video , Mpeg1Audio , Jpeg , Png , Evrc = 0xA0 , Smv , Gpp2Cmf , Vc1 , Dirac , Ac3 , EAc3 , Dts , DtsHdHighResolution , DtsHdMasterAudio , DtsHdExpress , PrivateEvrc = 0xD1 , PrivateAc3 = 0xD3 , PrivateDts , PrivateOgg = 0xDD , PrivateOgg2 , PrivateVobSub = 0xE0 , PrivateQcelp = 0xE1 }

## Functions
TAG_PARSER_EXPORT MediaFormat | streamObjectTypeFormat (std::uint8_t streamObjectTypeId)
| Returns the TagParser::MediaFormat denoted by the specified MPEG-4 stream ID.

## Detailed Description

Encapsulates all supported MPEG-4 elementary stream object IDs.

## Enumeration Type Documentation

## ◆ KnownValue

enum TagParser::Mpeg4ElementaryStreamObjectIds::KnownValue : std::uint8_t

Enumerator
SystemsIso144961 | Systems
SystemsIso144961v2 | Systems (version 2)
InteractionStream | Interaction Stream
AfxStream | AFX Stream
FontDataStream | Font Data Stream
SynthesizedTextureStream | Synthesized Texture Stream
StreamingTextStream | Streaming Text Stream
Mpeg4Visual | MPEG-4 Visual
Avc | Advanced Video Coding
ParameterSetsForAvc | Parameter Sets for Advanced Video Coding
Als | ALS
Sa0c | SAOC
Aac | Audio ISO/IEC 14496-3 (AAC)
Mpeg2VideoSimpleProfile | MPEG-2 Video Simple Profile
Mpeg2VideoMainProfile | MPEG-2 Video Main Profile
Mpeg2VideoSnrProfile | MPEG-2 Video SNR Profile
Mpeg2VideoSpatialProfile | MPEG-2 Video Spatial Profile
Mpeg2VideoHighProfile | MPEG-2 Video High Profile
Mpeg2Video422Profile | MPEG-2 Video 422 Profile
Mpeg2AacMainProfile | Advanced Audio Coding Main Profile
Mpeg2AacLowComplexityProfile | Advanced Audio Coding Low Complexity Profile
Mpeg2AacScaleableSamplingRateProfile | Advanced Audio Coding Scalable Sampling Rate Profile
Mpeg2Audio | MPEG-2 Audio
Mpeg1Video | MPEG-1 Video
Mpeg1Audio | MPEG-1 Audio
Jpeg | JPEG
Png | PNG
Evrc | EVRC
Smv | SMV
Gpp2Cmf | 3GPP2 Compact Multimedia Format (CMF)
Vc1 | VC-1
Dirac | Dirac
Ac3 | AC-3
EAc3 | E-AC-3
Dts | DTS
DtsHdHighResolution | DTS-HD High Resolution
DtsHdMasterAudio | DTS-HD Master Audio
DtsHdExpress | DTS-HD Express
PrivateEvrc | EVRC
PrivateAc3 | AC-3
PrivateDts | DTS
PrivateOgg | Ogg
PrivateOgg2 | Ogg
PrivateVobSub | VobSub
PrivateQcelp | QCELP

Definition at line 460 of file mp4ids.h.

## Function Documentation

## ◆ streamObjectTypeFormat()

MediaFormat TagParser::Mpeg4ElementaryStreamObjectIds::streamObjectTypeFormat | ( | std::uint8_t | streamObjectTypeId | ) |

Returns the TagParser::MediaFormat denoted by the specified MPEG-4 stream ID.

Definition at line 221 of file mp4ids.cpp.